# include/xapian/postingiterator.h File Reference

Classes for iterating through posting lists. More...

`#include <iterator>`
`#include <string>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`
`#include <xapian/positioniterator.h>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::DocIDWrapper
class | Xapian::PostingIterator
| An iterator pointing to items in a list of postings. More...

## Functions

bool | Xapian::operator== (const PostingIterator &a, const PostingIterator &b)
| Test equality of two PostingIterators.
bool | Xapian::operator!= (const PostingIterator &a, const PostingIterator &b)
| Test inequality of two PostingIterators.

## Detailed Description

Classes for iterating through posting lists.